Bug 1316174 - QE request: Ensure that QE tests for NSS on RHEL 6.x tests the SHA384 ciphersuites, like it's being done for RHEL 7 already.
QE request: Ensure that QE tests for NSS on RHEL 6.x tests the SHA384 ciphers...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
Unspecified Unspecified
high Severity low
: pre-dev-freeze
: ---
Assigned To: Hubert Kario
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2016-03-09 10:07 EST by Hubert Kario
Modified: 2016-03-10 05:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-10 05:48:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1181814 None None None 2016-03-09 10:13 EST
Mozilla Foundation 923089 None None None 2016-03-09 10:13 EST

  None (edit)
Description Hubert Kario 2016-03-09 10:07:18 EST
Description of problem:
NSS on RHEL-7 supports ciphers like ECDHE-RSA-AES256-SHA384 or ECDHE-ECDSA-AES256-SHA384, RHEL-6 version of the same package does not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to force one of the above ciphers in tstclnt

Actual results:
Application aborts with error message stating that the cipher suite is unrecognised

Expected results:
Application works and connects to server that supports only such cipher suites

Additional info:

Note You need to log in before you can comment on or make changes to this bug.